//
//  NSDictionary+NGAAdditions.h
//  MBMenuExtra
//
//  Created by Michael Bishop on 1/23/10.
//  Copyright 2010 Perforce Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface NSDictionary (NGAAdditions)
-(id)dictionaryByRemovingObjectsForKeys:(NSArray*)keys;
-(id)dictionaryByRemovingObjectForKey:(id)key;

-(id)objectConvertingNullToNilForKey:(id)aKey;

@end

@interface NSMutableDictionary (NGAAdditions)

-(void)setObjectConvertingNilToNull:(id)object forKey:(NSString*)key;
-(void)setObjectIgnoringNil:(id)object forKey:(NSString*)key;
-(void)setObjectRecognizingNil:(id)object forKey:(NSString*)key;

-(void)removeAllEntriesWithValuesEqualTo:(id)object;
@end
